<Project Sdk="Microsoft.NET.Sdk">

  <!--<PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>
  
  <ItemGroup>
		<PackageReference Include="Mapster" Version="7.3.0" />
		<PackageReference Include="Mapster.Core" Version="1.2.0" />
		<PackageReference Include="MediatR" Version="12.1.1" />
		<PackageReference Include="Microsoft.Extensions.Identity.Stores" Version="7.0.11" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
	</ItemGroup>-->
  

	<PropertyGroup>
		<TargetFramework>net5.0</TargetFramework>
		<LangVersion>10</LangVersion>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
	</PropertyGroup>

    

	<ItemGroup>
		<PackageReference Include="Mapster" Version="7.3.0" />
		<PackageReference Include="Mapster.Core" Version="1.2.0" />
		<PackageReference Include="MediatR" Version="12.1.1" />
		<PackageReference Include="Microsoft.Extensions.Identity.Stores" Version="5.0.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.0" />
		<PackageReference Include="PropertyChanged.Fody" Version="4.1.0" />
	</ItemGroup>


	<Target Name="Mapster">
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet build" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet tool restore" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet mapster extension -a &quot;$(TargetDir)$(ProjectName).dll&quot; -n Brizco.Domain.Mappers -o Mappers" />
		<Exec WorkingDirectory="$(ProjectDir)" Command="dotnet mapster mapper -a &quot;$(TargetDir)$(ProjectName).dll&quot; -n Brizco.Domain.Mappers -o Mappers" />
	</Target>

	<ItemGroup>
	  <ProjectReference Include="..\Brizco.Common\Brizco.Common.csproj" />
	</ItemGroup>

    

	<ItemGroup>
	  <Using Include="Brizco.Common.Extensions" />
	  <Using Include="Brizco.Common.Models.Entity" />
	  <Using Include="Brizco.Common.Models.Mapper" />
	  <Using Include="Brizco.Domain.Dtos.LargDtos" />
	  <Using Include="Brizco.Domain.Dtos.ResponseDto" />
	  <Using Include="Brizco.Domain.Dtos.SmallDtos" />
	  <Using Include="Brizco.Domain.Entities.Complex" />
	  <Using Include="Brizco.Domain.Entities.Routine" />
	  <Using Include="Brizco.Domain.Entities.Shift" />
	  <Using Include="Brizco.Domain.Entities.Task" />
	  <Using Include="Brizco.Domain.Enums" />
	  <Using Include="Mapster" />
	  <Using Include="Microsoft.AspNetCore.Identity" />
	  <Using Include="System.ComponentModel" />
	  <Using Include="System.ComponentModel.DataAnnotations" />
	  <Using Include="System.Runtime.CompilerServices" />
	  <Using Include="System.Security.Claims" />
	  <Using Include="MediatR" />
	</ItemGroup>

    

	<ItemGroup>
	  <Folder Include="Dtos\RequestDtos\" />
	  <Folder Include="Models\Settings\" />
	</ItemGroup>

</Project>
